package com.atlassian.bitbucket.scm.git.command.revlist;

import com.atlassian.bitbucket.commit.CommitListMergeFilter;
import org.junit.Test;

import static org.junit.Assert.assertNotNull;

public class GitRevListMergesTest {

    @Test
    public void testAllCommitListMergeFilterValuesHandled() {
        // This is just to ensure new core enum values don't get missed
        for (CommitListMergeFilter value : CommitListMergeFilter.values()) {
            assertNotNull(GitRevListMerges.fromFilter(value));
        }
    }
}
